### Class

# Foundry Tweak

#### Description [src]

    abstract class Foundry.Tweak : GObject.Object
    {
      /* No available fields */
    }

Represents a tweak that may be altered by a user.

#### Ancestors

- GObject

#### Instance methods

###### foundry_tweak_create_input

No description available.

###### foundry_tweak_dup_display_hint

No description available.

###### foundry_tweak_dup_icon

No description available.

###### foundry_tweak_dup_path

No description available.

###### foundry_tweak_dup_section

No description available.

###### foundry_tweak_dup_sort_key

No description available.

###### foundry_tweak_dup_subtitle

No description available.

###### foundry_tweak_dup_title

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Foundry.Tweak:display-hint

No description available.

###### Foundry.Tweak:icon

No description available.

###### Foundry.Tweak:path

No description available.

###### Foundry.Tweak:section

No description available.

###### Foundry.Tweak:subtitle

No description available.

###### Foundry.Tweak:title

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryTweakClass {
      GObjectClass parent_class;
      char* (* dup_path) (
        FoundryTweak* self
      );
      char* (* dup_title) (
        FoundryTweak* self
      );
      char* (* dup_subtitle) (
        FoundryTweak* self
      );
      char* (* dup_display_hint) (
        FoundryTweak* self
      );
      char* (* dup_section) (
        FoundryTweak* self
      );
      char* (* dup_sort_key) (
        FoundryTweak* self
      );
      GIcon* (* dup_icon) (
        FoundryTweak* self
      );
      FoundryInput* (* create_input) (
        FoundryTweak* self,
        FoundryContext* context
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`dup_path: char* (* dup_path) ( FoundryTweak* self )`

  No description available.

`dup_title: char* (* dup_title) ( FoundryTweak* self )`

  No description available.

`dup_subtitle: char* (* dup_subtitle) ( FoundryTweak* self )`

  No description available.

`dup_display_hint: char* (* dup_display_hint) ( FoundryTweak* self )`

  No description available.

`dup_section: char* (* dup_section) ( FoundryTweak* self )`

  No description available.

`dup_sort_key: char* (* dup_sort_key) ( FoundryTweak* self )`

  No description available.

`dup_icon: GIcon* (* dup_icon) ( FoundryTweak* self )`

  No description available.

`create_input: FoundryInput* (* create_input) ( FoundryTweak* self, FoundryContext* context )`

  No description available.

#### Virtual methods

###### Foundry.TweakClass.create_input

No description available.

###### Foundry.TweakClass.dup_display_hint

No description available.

###### Foundry.TweakClass.dup_icon

No description available.

###### Foundry.TweakClass.dup_path

No description available.

###### Foundry.TweakClass.dup_section

No description available.

###### Foundry.TweakClass.dup_sort_key

No description available.

###### Foundry.TweakClass.dup_subtitle

No description available.

###### Foundry.TweakClass.dup_title

No description available.